# Class DocumentBackgroundAttributes

#### Hierarchy (view full)

- XmlAttributeComponent<{
  color?: string;
  themeColor?: string;
  themeShade?: string;
  themeTint?: string;
  }>
  - DocumentBackgroundAttributes

- Defined in file/document/document-background/document-background.ts:28

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new DocumentBackgroundAttributes(root): DocumentBackgroundAttributes

- #### Parameters

  - root: {
    color?: string;
    themeColor?: string;
    themeShade?: string;
    themeTint?: string;
    }

    - ##### `Optional` `Readonly` color?: string

    - ##### `Optional` `Readonly` themeColor?: string

    - ##### `Optional` `Readonly` themeShade?: string

    - ##### `Optional` `Readonly` themeTint?: string

  #### Returns DocumentBackgroundAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:13

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:17

Generated using TypeDoc